Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports Should
Imports StructureMap
Imports TestDrivingMVC.Domain
Imports TestDrivingMVC.Service.Interfaces
Imports TestDrivingMVC.Test.Shared.Fakes

<TestClass>
Public Class EmployeeServiceTest
    Private _loggingServiceFake As ILoggingService
    Private _employeeService As IEmployeeService

    <TestInitialize>
    Public Sub TestSetup()
        _loggingServiceFake = New LoggingServiceFake
        ObjectFactory.Initialize(Function(x) x.For(Of ILoggingService)().Use(_loggingServiceFake))
        _employeeService = New EmployeeService
    End Sub

    <TestCleanup>
    Public Sub TestTeardown()
        _loggingServiceFake = Nothing
        _employeeService = Nothing
    End Sub

    <TestMethod>
    Public Sub CalculateSalary_ShouldReturn_Decimal()
        'Arrange
        Dim employeeId As Long = 12345
        'Act
        Dim result = _employeeService.CalculateSalary(employeeId)
        'Assert
        result.ShouldBeType(Of Decimal)()
    End Sub
End Class
