Imports System.Web
Imports System.Web.Http
Imports System.Web.Mvc
Imports System.Web.Optimization
Imports System.Web.Routing
Imports StructureMap
Imports TestDrivingMVC.Web.Utility

' Note: For instructions on enabling IIS6 or IIS7 classic mode, 
' visit http://go.microsoft.com/?LinkId=9394801

Public Class MvcApplication
    Inherits HttpApplication

    Public Shared Sub RegisterGlobalFilters(ByVal filters As GlobalFilterCollection)
        filters.Add(New HandleErrorAttribute)
    End Sub

    Public Shared Sub RegisterRoutes(ByVal routes As RouteCollection)
        routes.IgnoreRoute("{resource}.axd/{*pathInfo}")
        routes.IgnoreRoute("{*favicon}", New With {Key .favicon = "(.*/)?favicon.ico(/.*)?"})
        routes.MapHttpRoute(name:="DefaultApi", routeTemplate:="api/{controller}/{id}", defaults:=New With {Key .id = RouteParameter.Optional})
        routes.MapRoute(name:="Default", url:="{controller}/{action}/{id}", namespaces:={"TestDrivingMVC.Controllers"}, defaults:=New With {Key .controller = "Home", Key .action = "Index", Key .id = UrlParameter.Optional})
    End Sub

    Protected Sub Application_Start()
        AreaRegistration.RegisterAllAreas()
        RegisterGlobalFilters(GlobalFilters.Filters)
        RegisterRoutes(RouteTable.Routes)
        BundleTable.Bundles.RegisterTemplateBundles()
        WireUpDependencyInjection()
        SetControllerFactory()
    End Sub

    Private Sub WireUpDependencyInjection()
        ObjectFactory.Initialize(Sub(registry)
                                     registry.Scan(Sub(x)
                                                       x.AssembliesFromApplicationBaseDirectory()
                                                       x.WithDefaultConventions()
                                                   End Sub)
                                 End Sub)
    End Sub

    Private Sub SetControllerFactory()
        ControllerBuilder.Current.SetControllerFactory(New ControllerFactory)
    End Sub
End Class
