﻿@Code
    ViewBag.Title = "Home Page"
End Code

@section featured 
<section class="featured">
    <div class="content-wrapper">
        <hgroup class="title">
            <h1>@ViewBag.Title.</h1>
            <h2>@ViewBag.Message</h2>
        </hgroup>
        <p>
            To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">http://asp.net/mvc</a>. 
            The page features <span class="highlight">videos, tutorials, and samples</span> to help you get the most from 
            ASP.NET MVC. If you have any questions about ASP.NET MVC visit 
            <a href="http://forums.asp.net/1146.aspx/1?MVC" title="ASP.NET MVC Forum">our forums</a>.
        </p>
    </div>
</section>
End section

<h3>We suggest the following:</h3>

<ol class="round">
    <li class="one">
        <h5>Configure ASP.NET Membership</h5>
        ASP.NET membership gives you a built-in way to create, store, and 
        validate user credentials (authentication). By default, membership works with a local instance of SQL Server, 
        but you can configure it to use another database.
    </li>
    <li class="two">
        <h5>Add NuGet packages and jump start your coding</h5>
        NuGet makes it easy to install and update free libraries and tools in Visual Studio. In <em>Solution Explorer</em>, 
        right-click the <em>References</em> node, select <em>Manage NuGet Packages</em>, and then pick from the extensive 
        list of packages.
    </li>
    <li class="three">
        <h5>Setup deployment to your web server</h5>
        Use Microsoft Web Deploy to quickly and easily publish your application to a web server. 
        In <em>Solution Explorer</em>, right-click your project, select <em>Publish</em>, 
        and choose one of the many options to get your code deployed and running on the web.
    </li>
</ol>

<section class="features">
    <section class="feature">
        <img src="~/Images/aspNetHome.png" alt="" />
        <h3>Home of ASP.NET</h3>
        <p>
            ASP.NET is a free, fully supported Web application framework that helps you create standards-based web solutions. 
            Whether you're new to ASP.NET or an experienced developer, the <a href="http://asp.net">ASP.NET website</a> 
            is your source for news, training, downloads, and support.
        </p>
    </section>
    <section class="feature">
        <img src="~/Images/NuGetGallery.png" alt="" />
        <h3>NuGet Gallery</h3>
        <p>
            NuGet is a Visual Studio extension that makes it easy to install and update open source libraries and tools in 
            Visual Studio. To see available packages, visit the <a href="http://nuget.org">NuGet gallery</a>.
            You can also develop your own package and share it in the gallery.
        </p>
    </section>
    <section class="feature">
        <img src="~/Images/findHosting.png" alt="" />
        <h3>Find Web Hosting</h3>
        <p>
            You can easily find a web hosting company that offers the right mix of features and price for your applications. 
            Visit <a href="http://microsoft.com/web/hosting" title="Microsoft/Web Website">Microsoft.com/web</a> to 
            explore offerings from many providers.
        </p>
    </section>
</section>